package audit

import (
	"encoding/json"
	"fmt"
	"testing"
)

type MockObject struct {
	Object interface{}
}

func TestGetChanges(t *testing.T) {

	object1 := MockObject{
		Object: MockObject{
			Object: MockObject{
				Object: MockObject{
					Object: MockObject{
						Object: "done",
					},
				},
			},
		},
	}

	object2 := MockObject{
		Object: MockObject{
			Object: MockObject{
				Object: MockObject{
					Object: MockObject{
						Object: "done1",
					},
				},
			},
		},
	}

	changes, err := GetChanges(object1, object2)
	if err != nil {
		panic(err)
	}

	result, _ := json.Marshal(changes)
	fmt.Println(result)
}
